# H225_ConferenceList Class Reference

`#include <h225.h>`

Inheritance diagram for H225_ConferenceList:

List of all members.

## Public Types

enum | OptionalFields { e_conferenceID, e_conferenceAlias, e_nonStandardData }

## Public Member Functions

| H225_ConferenceList (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_ConferenceIdentifier | m_conferenceID
H225_AliasAddress | m_conferenceAlias
H225_NonStandardParameter | m_nonStandardData

## Member Enumeration Documentation

enum H225_ConferenceList::OptionalFields

Enumerator:

  e_conferenceID |
  e_conferenceAlias |
  e_nonStandardData |

## Constructor & Destructor Documentation

H225_ConferenceList::H225_ConferenceList | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_ConferenceList::GetDataLength | ( |  | ) | const

PBoolean H225_ConferenceList::Decode | ( | PASN_Stream & | strm | ) |

void H225_ConferenceList::Encode | ( | PASN_Stream & | strm | ) | const

void H225_ConferenceList::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_ConferenceList::Compare | ( | const PObject & | obj | ) | const

PObject* H225_ConferenceList::Clone | ( |  | ) | const

## Member Data Documentation

H225_ConferenceIdentifier H225_ConferenceList::m_conferenceID

H225_AliasAddress H225_ConferenceList::m_conferenceAlias

H225_NonStandardParameter H225_ConferenceList::m_nonStandardData

The documentation for this class was generated from the following file:

- h225.h